#!/bin/bash

PHOSCON_SDCARD="02544d534130384722"
THIS_SDCARD=$(cat /sys/block/mmcblk0/device/cid)
THIS_SDCARD=$(echo ${THIS_SDCARD:0:18})


## check wifi service ##
if [[ ! $(systemctl status deconz-wifi | grep "active (running)") && $THIS_SDCARD == $PHOSCON_SDCARD ]]
then
  echo "starting deconz-wifi.service"
  systemctl start deconz-wifi
  systemctl enable deconz-wifi
fi

## check update service ##
if [[ ! $(systemctl status deconz-update | grep "active (running)") ]]
then
  echo "starting deconz-update.service"
  systemctl start deconz-update
  systemctl enable deconz-update
fi

while [ 1 ]
do
  # more to come
  sleep 30
done
